/**************************************************************************************************
					LCD-Routinen
			-------------------


------------------------------------------------------------
PD7		PD6		PD5 	PD4		PD3		PD2 	PD1 	PD0

--		--		RS		E		  DB7		DB6		DB5		DB4
--		--						    DB3		DB2		DB1		DB0
			1=Befehl	Enable
			0=Daten

File: 	lcd_routines.c
Version:1.0

History:
	-(30.09.2007)Funktionsfhiges Kode: Einfaches "Hallo World!" Anzeige

**************************************************************************************************/

extern void lcd_init(void);

/* sendet ein Datenbyte an das LCD */
extern void lcd_data(unsigned char temp1);

/* sendet einen Befehl an das LCD */
extern void lcd_command(unsigned char temp1);

/* erzeugt den Enable-Puls */
extern void lcd_enable(void);

/* Sendet den Befehl zur Lschung des Displays */
extern void lcd_clear(void);

/* Sendet den Befehl: Cursor Home */
extern void lcd_home(void);

/* setzt den Cursor in Zeile y (1..4) Spalte x (0..15) */
extern void set_cursor(uint8_t x, uint8_t y);

/* Schreibt einen String auf das LCD */
extern void lcd_string(char *data);
